Download it now!
Bug 30861 - LibreOffice Betas 1 and 2 loading a specific spreadsheet crashes programme.
Summary: LibreOffice Betas 1 and 2 loading a specific spreadsheet crashes programme.
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Mac OS X (All)
: highest blocker
Assignee: Kohei Yoshida
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-14 03:48 UTC by PeterSHarris
Modified: 2012-05-07 09:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description PeterSHarris 2010-10-14 03:48:04 UTC
Problem occurs with LibreOffice Betas 1 and 2 loading a specific spreadsheet which crashes the programme. The loading progress bar indicates "Adapt row height" when it crashes.

This problem only occurs with the LO betas. OO.org and NeoOffice have never had problems with the particular spreadsheet.

Thanks.
Comment 1 Thorsten Behrens (CIB) 2010-10-14 03:55:22 UTC
I would guess this problem is not specific to MacOS - Peter, would you be able to share your document privately, then Kohei could have a look?
Comment 2 PeterSHarris 2010-10-14 11:20:14 UTC
(In reply to comment #1)
> I would guess this problem is not specific to MacOS - Peter, would you be able
> to share your document privately, then Kohei could have a look?

Thanks for your response. Unfortunately the spreadsheet document contains confidential data so am unable to share it. I will install LibreOffice on a Windows PC and re-test the document.

Will post the outcome.
Comment 3 Kohei Yoshida 2010-10-14 11:31:52 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > I would guess this problem is not specific to MacOS - Peter, would you be able
> > to share your document privately, then Kohei could have a look?
> 
> Thanks for your response. Unfortunately the spreadsheet document contains
> confidential data so am unable to share it.

Understood.  But without the actual document it'll be hard for us to debug. Could you cleanse the document to remove all your confidential info and send it to me privately to my email address?
Comment 4 PeterSHarris 2010-10-14 13:24:17 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > I would guess this problem is not specific to MacOS - Peter, would you be able
> > > to share your document privately, then Kohei could have a look?
> > 
> > Thanks for your response. Unfortunately the spreadsheet document contains
> > confidential data so am unable to share it.
> 
> Understood.  But without the actual document it'll be hard for us to debug.
> Could you cleanse the document to remove all your confidential info and send it
> to me privately to my email address?

Email with attachment sent.

Peter
Comment 5 Kohei Yoshida 2010-10-14 16:33:11 UTC
Thanks for your test document.  I've reproduced this on my end, and I'll look into this pronto!
Comment 6 Kohei Yoshida 2010-10-20 06:34:14 UTC
This is now fixed on master, for 3.3.
Comment 7 PeterSHarris 2010-10-20 10:03:25 UTC
(In reply to comment #6)
> This is now fixed on master, for 3.3.

Thanks. That's great news.

When will compiled update be available?
Comment 8 Kohei Yoshida 2010-10-20 11:36:24 UTC
(In reply to comment #7)

> When will compiled update be available?

We are not 100% sure yet, but our best estimate would be somewhere in the neighborhood of the next 2 to 3 weeks.
Comment 9 sophie 2011-01-12 06:33:00 UTC
I don't have the doc to test, but closing the issue as there is no further comments for the reporter. Reopen if needed :) Sophie
Comment 10 Roman Eisele 2012-05-07 09:36:58 UTC
This is (at least at the surface) a Calc issue, therefore changed the
'Component' field accordingly.

Added version according to original description and summary.